searchNodes=[{"ref":"UAParser.html","title":"UAParser","type":"module","doc":"A fast User Agent parser with a widely used API."},{"ref":"UAParser.html#parse/1","title":"UAParser.parse/1","type":"function","doc":"Parse a user-agent string into structs Examples iex&gt; agent_string = &quot;Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_7; en-us) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17 Skyfire/2.0&quot; iex&gt; ua = UAParser.parse(agent_string) iex&gt; to_string(ua) &quot;Skyfire 2.0&quot; iex&gt; to_string(ua.os) &quot;Mac OS X 10.5.7&quot; iex&gt; to_string(ua.device) &quot;Other&quot;"},{"ref":"UAParser.html#parse/2","title":"UAParser.parse/2","type":"function","doc":""},{"ref":"UAParser.Device.html","title":"UAParser.Device","type":"module","doc":"Device struct and helper methods."},{"ref":"UAParser.Device.html#__struct__/0","title":"UAParser.Device.__struct__/0","type":"function","doc":"Examples iex&gt; device = %UAParser.Device{family: &quot;iPhone&quot;} iex&gt; to_string(device) &quot;iPhone&quot; iex&gt; device = %UAParser.Device{} iex&gt; to_string(device) &quot;Other&quot;"},{"ref":"UAParser.OperatingSystem.html","title":"UAParser.OperatingSystem","type":"module","doc":"A module representing an operating System struct."},{"ref":"UAParser.OperatingSystem.html#__struct__/0","title":"UAParser.OperatingSystem.__struct__/0","type":"function","doc":"Examples iex&gt; version = %UAParser.Version{major: &quot;1&quot;, minor: &quot;2&quot;} iex&gt; os = %UAParser.OperatingSystem{family: &quot;macOS&quot;, version: version} iex&gt; to_string(os) &quot;macOS 1.2&quot; iex&gt; os = %UAParser.OperatingSystem{family: &quot;macOS&quot;} iex&gt; to_string(os) &quot;macOS&quot;"},{"ref":"UAParser.Parser.html","title":"UAParser.Parser","type":"module","doc":"Handle parsing the user-agent string."},{"ref":"UAParser.Parser.html#parse/2","title":"UAParser.Parser.parse/2","type":"function","doc":"Parse a user-agent string given a set of patterns"},{"ref":"UAParser.Parsers.Base.html","title":"UAParser.Parsers.Base","type":"behaviour","doc":"A module repsenting the base and behaviour for all of our parsers."},{"ref":"UAParser.Parsers.Base.html#c:parse/1","title":"UAParser.Parsers.Base.parse/1","type":"callback","doc":""},{"ref":"UAParser.Parsers.Base.html#replace/3","title":"UAParser.Parsers.Base.replace/3","type":"function","doc":""},{"ref":"UAParser.Parsers.Base.html#replacement_parser/1","title":"UAParser.Parsers.Base.replacement_parser/1","type":"macro","doc":""},{"ref":"UAParser.Parsers.Device.html","title":"UAParser.Parsers.Device","type":"module","doc":"A parser module representing the device &amp; its relevent information of a user agent."},{"ref":"UAParser.Parsers.Device.html#do_replacement/3","title":"UAParser.Parsers.Device.do_replacement/3","type":"function","doc":""},{"ref":"UAParser.Parsers.Device.html#parse/1","title":"UAParser.Parsers.Device.parse/1","type":"function","doc":"Callback implementation for UAParser.Parsers.Base.parse/1."},{"ref":"UAParser.Parsers.OperatingSystem.html","title":"UAParser.Parsers.OperatingSystem","type":"module","doc":"A parser module representing the operating system derived from a user agent."},{"ref":"UAParser.Parsers.OperatingSystem.html#parse/1","title":"UAParser.Parsers.OperatingSystem.parse/1","type":"function","doc":""},{"ref":"UAParser.Parsers.UA.html","title":"UAParser.Parsers.UA","type":"module","doc":"A parser module representing the user agent from a request."},{"ref":"UAParser.Parsers.UA.html#parse/1","title":"UAParser.Parsers.UA.parse/1","type":"function","doc":""},{"ref":"UAParser.Parsers.Version.html","title":"UAParser.Parsers.Version","type":"module","doc":"A parser module representing the full version of a given browser derived from the user agent."},{"ref":"UAParser.Parsers.Version.html#parse/1","title":"UAParser.Parsers.Version.parse/1","type":"function","doc":"Callback implementation for UAParser.Parsers.Base.parse/1."},{"ref":"UAParser.Parsers.Version.html#parse/2","title":"UAParser.Parsers.Version.parse/2","type":"function","doc":""},{"ref":"UAParser.Processor.html","title":"UAParser.Processor","type":"module","doc":"Prepare a raw YAML document for consumption by the parser by converting charlists into strings and compiling our patterns."},{"ref":"UAParser.Processor.html#process/1","title":"UAParser.Processor.process/1","type":"function","doc":"Process a document into Elixir keyword lists and compiled patterns"},{"ref":"UAParser.Storage.html","title":"UAParser.Storage","type":"module","doc":"Load pattern data at compile time. Recompiling the application is necessary after updating the pattern file."},{"ref":"UAParser.Storage.html#list/0","title":"UAParser.Storage.list/0","type":"function","doc":""},{"ref":"UAParser.UA.html","title":"UAParser.UA","type":"module","doc":"User Agent struct and helper methods."},{"ref":"UAParser.UA.html#__struct__/0","title":"UAParser.UA.__struct__/0","type":"function","doc":"Display the UA as a string Examples iex&gt; version = %UAParser.Version{major: &quot;1&quot;, minor: &quot;2&quot;, patch: &quot;3&quot;, patch_minor: &quot;4&quot;} iex&gt; agent = %UAParser.UA{family: &quot;Family&quot;, version: version} iex&gt; to_string(agent) &quot;Family 1.2.3.4&quot; iex&gt; agent = %UAParser.UA{family: &quot;Family&quot;} iex&gt; to_string(agent) &quot;Family&quot; iex&gt; agent = %UAParser.UA{} iex&gt; to_string(agent) &quot;Other&quot;"},{"ref":"UAParser.Version.html","title":"UAParser.Version","type":"module","doc":"A module representing user agent version struct and helper methods."},{"ref":"UAParser.Version.html#__struct__/0","title":"UAParser.Version.__struct__/0","type":"function","doc":"Examples iex&gt; version = %UAParser.Version{major: &quot;1&quot;, minor: &quot;2&quot;, patch: &quot;3&quot;, patch_minor: &quot;4&quot;} iex&gt; to_string(version) &quot;1.2.3.4&quot; iex&gt; version = %UAParser.Version{major: &quot;1&quot;, minor: &quot;2&quot;, patch: &quot;3&quot;} iex&gt; to_string(version) &quot;1.2.3&quot; iex&gt; version = %UAParser.Version{major: &quot;1&quot;, minor: &quot;2&quot;} iex&gt; to_string(version) &quot;1.2&quot; iex&gt; version = %UAParser.Version{major: &quot;1&quot;} iex&gt; to_string(version) &quot;1&quot;"}]